Bug 838139 - nut relies on presence of /lib64/libusb.so for communication with USB-connected UPS
Summary: nut relies on presence of /lib64/libusb.so for communication with USB-connect...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nut
Version: 17
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-06 18:24 UTC by Paweł Brodacki
Modified: 2012-09-22 00:11 UTC (History)
1 user (show)

Fixed In Version: nut-2.6.5-2.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-22 00:02:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Paweł Brodacki 2012-07-06 18:24:32 UTC
Description of problem:
nut cannot communicate with USB-connected UPS devices.

For example, when nut-scanner is run, it complains that there is no libusb installed, even when the package is in fact installed in the system. Strace of nut-scanner shows that it tries to open  /lib64/libusb.so, which is not provided by libusb. Strangely enough /lib64/libusb.so is provided by libusb-devel. After installation of libusb-devel nut-scanner works as expected and detects the USB-connected UPS device.

Version-Release number of selected component (if applicable):
nut-2.6.4-1.fc17.x86_64
libusb-0.1.3-10.fc17.x86_64
libusb-devel-0.1.3-10.fc17.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Install Fedora 17 from network media, choose minimal installation.
2. Install nut.
3. Run nut-scanner
  
Actual results:
# nut-scanner 
Cannot load USB library (libusb) : file not found. USB search disabled.
Cannot load SNMP library (libnetsnmp) : file not found. SNMP search disabled.
Cannot load XML library (libneon) : file not found. XML search disabled.
Cannot load AVAHI library (libavahi-client) : file not found. AVAHI search disabled.
Cannot load IPMI library (libfreeipmi) : file not found. IPMI search disabled.
Cannot load NUT library (libupsclient) : file not found. NUT search disabled.
# 


Expected results:
# nut-scanner 
Cannot load SNMP library (libnetsnmp) : file not found. SNMP search disabled.
Cannot load XML library (libneon) : file not found. XML search disabled.
Cannot load AVAHI library (libavahi-client) : file not found. AVAHI search disabled.
Cannot load IPMI library (libfreeipmi) : file not found. IPMI search disabled.
Cannot load NUT library (libupsclient) : file not found. NUT search disabled.
Scanning USB bus.
[nutdev1]
        driver = "blazer_usb"
        port = "auto"
        vendorid = "0665"
        productid = "5161"
        product = "USB to Serial"
        vendor = "Cypress Semiconductor"
        bus = "004"
#

Additional info:
I'm not sure if it is a bug of nut (depending on a wrong file) or libusb (shipping a file needed at run-time in -devel package).

Comment 1 Michal Hlavinka 2012-07-16 12:00:14 UTC
reproducible
Thanks for the bug report

Comment 2 Fedora Update System 2012-09-06 12:35:08 UTC
nut-2.6.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nut-2.6.5-2.fc17

Comment 3 Fedora Update System 2012-09-06 12:35:20 UTC
nut-2.6.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nut-2.6.5-2.fc16

Comment 4 Fedora Update System 2012-09-07 11:27:17 UTC
Package nut-2.6.5-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nut-2.6.5-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13430/nut-2.6.5-2.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-09-11 15:23:45 UTC
nut-2.6.5-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nut-2.6.5-3.fc17

Comment 6 Fedora Update System 2012-09-11 15:24:02 UTC
nut-2.6.5-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nut-2.6.5-3.fc16

Comment 7 Fedora Update System 2012-09-22 00:02:07 UTC
nut-2.6.5-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-09-22 00:11:15 UTC
nut-2.6.5-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.